Page MenuHomePhabricator

Release 6.3.1
Closed, ResolvedPublic

Description

Release version: 6.3.1
Release tag: 6.3.1
Release SHA1: 78cd59ee127a2a6a83e6e17d314fc861b13a1504
App Store Submission Date: 8/5/19
App Store Approval Date: 8/6/19
App Store Release Date: 8/6/19
Regression Testing URL: See subtask


Pre-release

  • File subtask for assets (if needed)
  • Submit "What’s New" on iTunes Connect for translation
  • Submit Beta on iTunes Connect for external testing review, and verify distribution
  • File subtask for smoke tests and notify TSG with RC build number
  • Post to mobile-l when Beta is approved for external testing N/A
  • Upload new screenshots & app icons to iTunes Connect (if needed) N/A
  • Review Regression testing report, triage bugs, and identify any blockers

Day of submit:

  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Install previous (active) App Store version, then update to release candidate via TestFlight and verify app load
  • Release to App Store (NOT on a Friday!)

Post-release:

Event Timeline

LGoto created this task.Jul 26 2019, 5:41 PM
Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptJul 26 2019, 5:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JMinor triaged this task as High priority.Jul 26 2019, 5:55 PM
JMinor updated the task description. (Show Details)Aug 1 2019, 7:51 PM
LGoto updated the task description. (Show Details)
LGoto updated the task description. (Show Details)Aug 5 2019, 10:42 PM
LGoto closed this task as Resolved.Aug 7 2019, 10:50 PM
LGoto updated the task description. (Show Details)